
#' GUI Tools to Process, Analyze and Plot Fisheries Data
#' 
#' Within \pkg{vmsbase} you can process, analyze, combine, integrate and plot:
#' the georeferenced dataset from the \emph{Vessel Monitoring System (VMS)},
#' the \emph{Automatic Information System (AIS)} or other tracking devices,
#' as well as the catches or landings dataset from the Logbook or Vessel 
#' Register, which constitute the primary sources of information for spatially
#' explicit models of the fishing effort. 
#' \pkg{vmsbase} is conceived to solve many of the nuisance details
#' related to this specific kind of data, providing a straightforward path from
#' data massaging and management to sophisticated analyses and outputs.
#' 
#' The only function you're likely to need from \pkg{vmsbase} is
#' \code{\link{gui_main}}. All the other functionalities are available
#' from the main Graphical User Interface but can also be invocated with the
#' corresponding functions.
#'
#' @docType package
#' @name vmsbase
#' 
#' @references
#' 
#' \url{http://www.vmsbase.org/}
#' 
#' 
#' Russo, T., D'Andrea, L., Parisi, A. and Cataudella, S. (2014) VMSbase: An R-Package for VMS and Logbook Data Management and Analysis in Fisheries Ecology. \emph{PloS one}, \bold{9(6)}, e100195.
#' \url{http://journals.plos.org/plosone/article?id=10.1371/journal.pone.0100195}

NULL